%define module  WWW-Wikipedia
%define name	perl-%{module}
%define version 1.94
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Automated interface to the Wikipedia
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/WWW/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
BuildRequires:  perl-libwww-perl
BuildRequires:  perl(CGI)
BuildRequires:  perl(Text::Autoformat)
Buildarch:      noarch
Buildroot:      %{_tmppath}/%{name}-%{version}

%description
WWW::Wikipedia provides an automated interface to the Wikipedia 
http://www.wikipedia.org, which is a free, collaborative, online 
encyclopedia. This module allows you to search for a topic and return the 
resulting entry. It also gives you access to related topics which are also 
available via the Wikipedia for that entry.

%prep
%setup -q -n %{module}-%{version} 

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%_bindir/*
%_mandir/*/*
%perl_vendorlib/WWW




%changelog
* Tue Feb 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.94-1mdv2008.1
+ Revision: 175318
- update to new version 1.94

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.93-1mdv2008.1
+ Revision: 118151
- update to new version 1.93


* Tue Mar 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.92-1mdv2007.1
+ Revision: 142368
- new version

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import perl-WWW-Wikipedia-1.9-2mdk

* Sat Apr 29 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.9-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Thu Apr 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.9-1mdk
- New release 1.9

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.8-4mdk
- Fix BuildRequires

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.8-3mdk
- Fix BuildRequires

* Sat Oct 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.8-2mdk
- Buildrequires fix

* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.8-1mdk
- New release 1.8

* Fri Aug 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.7-1mdk
- new release 
- fix sources url for rpmbuildupdate
- fix url

* Fri Apr 29 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5-1mdk
- initial release

